Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003522 [JEDI VCL] 00 JVCL Components minor always 2006-02-19 20:27 2006-06-27 07:03
Reporter chensielcx View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003522: JvInspector's OnItemEdit CONNOT change data Value!
Description in procedure TJvCustomInspectorItem.Edit source:
...
  if DisplayStr <> Self.FData.AsString then
    FData.SetAsString(DisplayStr); // modified!
Only modified FData's Value, Not FEditCtrl.Text!

then when execute procedure TJvCustomInspectorItem.DoneEdit, source is:
...
   if not CancelEdits and (not Data.IsAssigned or (DisplayValue <> EditCtrl.Text)) then
    begin
      Apply;
      InvalidateItem;
    end;
because now DisplayValue <> EditCtrl.Text then FData's Value revert to EditCtrl's value,THAT IS the BUG!!

so, I have change procedure TJvCustomInspectorItem.Edit as follow:
...
      if DisplayStr <> Self.FData.AsString then
      begin
        //FData.SetAsString(DisplayStr); // modified!
        FEditCtrl.Text := DisplayStr;
      end;
 
Additional Information
Tags No tags attached.
Attached Files

- Relationships
related to 0003391resolvedobones edits are lost in db incpestor if not defocusing item, bug or normal behaviour? 

-  Notes
(0008573)
moore (reporter)
2006-02-20 00:24

Is this related to the issue 0003391 unresolved bug?
(0008982)
obones (administrator)
2006-04-05 06:50

Please provide the zipped sources of a sample application.
(0009466)
obones (administrator)
2006-06-08 06:56

Any news? Anyone?
(0009683)
obones (administrator)
2006-06-27 07:03

Well, no news for a long time, I'm assuming this is fixed in SVN.
http://homepages.borland.com/jedi/wiki/index.php?title=Repository [^]

- Issue History
Date Modified Username Field Change
2006-02-19 20:27 chensielcx New Issue
2006-02-20 00:24 moore Note Added: 0008573
2006-04-05 06:49 obones Relationship added related to 0003391
2006-04-05 06:50 obones Note Added: 0008982
2006-04-05 06:50 obones Status new => feedback
2006-06-08 06:56 obones Note Added: 0009466
2006-06-27 07:03 obones Status feedback => resolved
2006-06-27 07:03 obones Fixed in Version => Daily / SVN
2006-06-27 07:03 obones Resolution open => fixed
2006-06-27 07:03 obones Assigned To => obones
2006-06-27 07:03 obones Note Added: 0009683


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker